


<pre>

	<h1>squishy</h1>
		https://en.wikipedia.org/wiki/Netfilter#

	<h2>objectives</h2>
	
		[ ] block all ports except 
		
		[ ] Burp Suite
			[ ] https://portswigger.net/burp
		
		[ ] Snyk
			[ ] https://snyk.io/
		
		[ ] Checkmarx
			[ ] https://checkmarx.com/
		
		[ ] Invicti
			[ ] https://www.invicti.com/
			
		[ ] Kali Linux
		
		[ ] https://sentry.io/welcome/

	<h2>important</h2>

		<h3>docker</h3>
			modprode:
				
				apt-get update
				apt-get install linux-headers-$(uname -r) linux-modules-extra-$(uname -r)
			
				apt-get install kmod -y
				
				--cap-add=NET_ADMIN --cap-add=NET_RAW --cap-add=NET_BIND_SERVICE --cap-add=SYS_MODULE

		<h3>current</h3>
			nft list ruleset
			
		<h3>tcpdump</h3>
			apt install tcpdump -y
		
			tcpdump -i tcp
		
				tcpdump -i eth0
		

		<h3>show the network interfaces</h3>
			[prompt] ip link show
				
				lo
				enp0s31f6
				br-3c9d77222953
				docker0
				hss0
				veth7075590@if12
				
		<h3>wireshark</h3>

		
		
		



</pre>